---

HP Linux Imaging & Printing Drivers Now Support Linux Mint 19.2 and Debian 10

The HP Linux Imaging and Printing 3.19.8 software is now available with support for several new HP printers and scanners, among which we can mention HP DesignJet T1530 Postscript, HP DesignJet T2530 Postscript, HP DesignJet T930 Postscript, HP DesignJet T1600 Postscript Printer, and HP DesignJet T1600dr Postscript Printer. If you want to install the latest HP Linux Imaging and Printing release on some of the most recent GNU/Linux distributions, you should know that HP Linux Imaging and Printing 3.19.8 adds support for the Debian GNU/Linux 10 “Buster,” Debian GNU/Linux 9.9 “Stretch,” Linux Mint 19.2, OpenSuSE Leap 15.1, Red Hat Enterprise Linux 8.0, and Manjaro Linux 18.0.4.